Solved Inkscape port seems broken

The Inkscape port seems to have a bug... I install it from pkg install inkscape when updating to latest

inkscape = execute on computer
Code:
ld-elf.so.1: Shared object "libncursesw.so.8" not found, required by "libreadline.so.8"
Current OS= 13.1 Release-p2



Let's assume I wanted to used this particular pkg, how would I fix this?

I would have to use poudriere ?
I would have to use portmaster?
Bugzilla and report to port maintainer?
All 3?

Any information will be appreciated it, can someone else test if they face the BUG on their rig?
 
rebuild / upgrade libreadline
Code:
#pkg install libreadline-java-0.8.0_7
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
The following 3 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
        java-zoneinfo: 2021.e
        libreadline-java: 0.8.0_7
        openjdk8: 8.332.09.1_1

Number of packages to be installed: 3
SAME Results it seems.....

Code:
#inkscape
#ld-elf.so.1: Shared object "libncursesw.so.8" not found, required by "libreadline.so.8"
 
Wait. You did pkg install to update it?
No I never had the program.... I install from scratch (the inkscape) after upgrading to latest OS Release wanted to test and convert png to svg... If you are talking about libreadline I install cause I did not have the package EVEN after installing inkscape on new update OS. At the end I use imagemagick to convert BUT the bug persists with inkscape.
 
the package that provides libreadline is readline
This fix the issue.....

Code:
pkg install readline
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
The following 3 package(s) will be affected (of 0 checked):

Installed packages to be UPGRADED:
        ipmitool: 1.8.18_2 -> 1.8.18_3
        readline: 8.0.4 -> 8.1.2

Installed packages to be REINSTALLED:
        qr-code-generator-1.6.0 (ABI changed: 'freebsd:12:x86:64' -> 'freebsd:13:x86:64')

Number of packages to be upgraded: 2
Number of packages to be reinstalled: 1


Thank you.....

libncursesw.so is provided by devel/ncurses
This did not work..... I install it BEFORE readline and inkscape did not launch without readline package.
 
"ABI changed: 'freebsd:12:x86:64' -> 'freebsd:13:x86:64'" means that you didn't finish the previous upgrade from FreeBSD 12 -> 13 the last step of reinstalling all installed packages.
 

SirDice

Administrator
Staff member
Administrator
Moderator
Yes. And you should run pkg upgrade, a number of other packages are now out of date too.
 
Top